﻿Type=Class
Version=2.52
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private backP As Panel  'colored panel showing gauge  
	Private backP1 As Panel 'black background
	Private gPanel As Panel 'completed gauge
	Private imgGauge As ImageView 'gauge type
	Private imgFore As ImageView   'gauge frame
	Dim maxVal As Int 
	Dim maxW As Int
	Dim bmFore As Bitmap
	Dim vdip As Int 
	Dim panDip As Int
End Sub

'Initializes the object. You can add parameters to this method if needed.


'This is a simple class made up of 2 panels and 2 img views, it adds it to a panel name sent by the initialize.

'This is not a calibrated gauge it is just a visual representation of a value you can use labels to display actual values


'The image is the display and the colored panel behind is sized(wide) to display progress up and down
'The second img has the gauge border
'parent is the panel you want the gauge on
'gTop is the gauge top val on the parent panel
'gLeft is the gauge left val on the parent panel
'gaugewidth is the width
'gaugeheight is the height
'gaugeImage is the gauge type to display 
'gaugeColor is the color of the gauge display
'maxNum is the maximum number you are measuring



Public Sub Initialize(parent As Panel, gTop, gLeft, gaugewidth  As Int, gaugeheight As Int, gaugeImage As Bitmap, gaugeColor As Int , gaugeColorLit As Int, maxNum As Int)
	bmFore.Initialize(File.DirAssets, "fg1.png") 'frame image for gauge
	backP.Initialize("")
	backP1.Initialize("")
	backP1.Color = gaugeColor
	imgGauge.Initialize("")
	imgFore.Initialize("")
	
	gPanel.Initialize("")
	gPanel.AddView(backP1, 5, 0 , DipToCurrent(gaugewidth) -5, DipToCurrent(gaugeheight) -5)
	gPanel.AddView(backP, 0, 0 , DipToCurrent(gaugewidth), DipToCurrent(gaugeheight))
	gPanel.AddView(imgGauge, 0, 0, DipToCurrent(gaugewidth), DipToCurrent(gaugeheight))
	gPanel.AddView(imgFore, 0, 0, DipToCurrent(gaugewidth), DipToCurrent(gaugeheight))
	imgGauge.Gravity = Gravity.FILL
	imgGauge.Bitmap = gaugeImage   'chosen gauge type
	imgFore.Color = Colors.Transparent 'gauge frame
	imgFore.Gravity = Gravity.FILL
	imgFore.Bitmap = bmFore
	
	backP.Color = gaugeColorLit
	
	parent.AddView(gPanel, gLeft, gTop, DipToCurrent(gaugewidth), DipToCurrent(gaugeheight))
	maxVal = maxNum 'used to calc the percentage of val
	maxW = gaugewidth 'used to calc the gauge display value
End Sub
Public Sub changeVal(val As Int)
	If val <= maxVal Then
	
	vdip = (val / maxVal) * 100   'calculates percentage of val to max value  
	panDip = (maxW * vdip) / 100  'calculates the value by percentage, setting the gauge value
	backP.Width = DipToCurrent(panDip) 'adjusts gauge display
	End If
End Sub